export default function namespace (prefix, replace) {
  return function space (chunk, state) {
    if (Array.isArray(chunk)) {
      let classes = {};

      chunk.forEach(function (chk) {
        classes[space(...chk)] = true;
      });

      return classnames(classes);
    }

    const chunkNameSpace = chunk ? `-${chunk}` : '';
    const stateNameSpace = state ? `_${state}` : '';
    const name = `${replace ? prefix : `app__extension-component-${prefix}`}${chunkNameSpace}${stateNameSpace}`;

    return name;
  }
}