import React, { createElement, cloneElement } from 'react';
import classnames from 'classnames';

import namespace from '../../namespace';
import Option from './option';

const classNamespace = namespace('app__subject', true);

export default class Select extends React.Component {
  static Option = Option;

  onSelectChange = () => {
    
  }

  render () {
    const { className, name, id } = this.props;
    const props = {
      onChange: this.onSelectChange,
      id,
      name
    };

    const classes = classnames({
      [classNamespace('select')]: true,
      [className]: !!className
    });

    return (
      <select className={classes}>
        {this.props.children}
      </select>
    );
  }
}