import React, { createElement, cloneElement } from 'react';
import classnames from 'classnames';

import namespace from '../../namespace';

const classNamespace = namespace('app__subject', true);


export default class Brief extends React.Component {
  render () {
    const { className } = this.props;

    const classes = classnames({
      [classNamespace('tags-item')]: true,
      [className]: !!className
    });

    return (
      <div className={classes}>
        {this.props.children}
      </div>
    );
  }
}