import React, { cloneElement, PropTypes, createElement, Children } from 'react';
import classnames from 'classnames';

import namespace from '../../namespace';

const classNamespace = namespace('app__components', true);
const noop = function () {};

export default class Item extends React.Component {
  render () {
    const { visiable } = this.props;

    const classes = classnames({
      [classNamespace('item', 'visiable')]: visiable,
      [classNamespace('item')]: true
    });

    return (
      <div className={classes}>
        {this.props.children}
      </div>
    );
  }
}
