import React, { createElement, cloneElement } from 'react';
import classnames from 'classnames';

import namespace from '../../namespace';

const classNamespace = namespace('app__subject-select', true);

export default class Option extends React.Component {
  render () {
    const { className, value } = this.props;

    const classes = classnames({
      [classNamespace('options')]: true,
      [className]: !!className
    });

    return (
      <option value={value}>{this.props.children}</option>
    );
  }
}