import React, { createElement, cloneElement } from 'react';
import classnames from 'classnames';

import namespace from '../../namespace';
import Item from './item';

const classNamespace = namespace('app__subject', true);


export default class Tags extends React.Component {
  static Item = Item;

  render () {
    const { className } = this.props;

    const classes = classnames({
      [classNamespace('tags')]: true,
      [className]: !!className
    });

    return (
      <div className={classes}>
        {this.props.children}
      </div>
    );
  }
}